lp:~pythoneers/ubuntu/lucid/python-openid/ltsppa

Created by Barry Warsaw on 2011-09-15 and last modified on 2011-09-15
Get this branch:
bzr branch lp:~pythoneers/ubuntu/lucid/python-openid/ltsppa
Members of Ubuntu Pythoneers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Pythoneers
Status:
Development

Recent revisions

12. By Barry Warsaw on 2011-09-15

No change rebuild for Python 2.7 LTS PPA.

11. By Matthias Klose on 2010-02-01

Rebuild dropping the extension for python2.5.

10. By Mikhail Gusarov on 2009-05-01

* New upstream release:
  - removed build-extensions.patch, applied upstream,
  - removed quilt dependency, unused.
  - removed README.source, no more quilt.
* Switched to debian-support:
  - added preinst script to de-register from pycentral.
* Standards-Version bumped to 3.8.1, no changes needed.
* python-all-dev build-dependency relaxed to python, as no binary
  modules are built.

9. By Mikhail Gusarov on 2009-02-17

* debian/copyright:
  - replaced (C) with ©, as suggested by Lintian,
  - debian packaging is under Apache-2.0 as well.
* debian/rules:
  - replaced deprecated dh_clean -k with dh_prep,
  - clean target now unpatches the source code.
* debian/control:
  - expanded package description, as suggested by Lintian.
* debian/patches/build-extensions.patch:
  - added description, as suggested by Lintian.

8. By Mikhail Gusarov on 2009-02-04

[ Mikhail Gusarov ]
* Fixed debian/copyright: library changed license to Apache-2.0
  (Closes: #514064)
* debian/README.source added.

[ Sandro Tosi ]
* debian/control
  - switch Vcs-Browser field to viewsvn

7. By Mikhail Gusarov on 2008-06-30

* New upstream release:
  - fix-openid1.0-compatibility.patch removed, included upstream.
* Debhelper compatibility level bumped to 7:
  - manual stamp-file deletion removed from debian/rules (it was
  incorrect btw);
  - debhelper debpendency bumped.
* Standards-Version bumped to 3.8.0:
  - Homepage added to debian/control.
* python-central dependency moved to Build-Depends-Indep as suggested by
  lintian.

6. By Mikhail Gusarov on 2008-03-21

[ Mikhail Gusarov ]
* New upstream release (Closes: #465699, #457081).

* Get rid of CDBS and use debhelper directly.
  - cdbs dependency removed.
* Depend on pycentral >= 0.6 to avoid bug #452227.

* Added patch fix-openid1.0-compatibility.patch, cherry-picked from
  upstream (Closes: #471798).
* build-extensions.patch refreshed.

* Standards-Version bumped to 3.7.3, no changes required.

[ Sandro Tosi ]
* debian/watch
  - fixed version regexp to consider only numerical versions.
* debian/control
  - added Vcs-Svn and Vcs-Browser.

5. By Mikhail Gusarov on 2007-09-15

* New upstream release.
* urljr and yadis libraries are now in openid - dropping dependencies
  (Closes: #441926).
* Package can now be built twice in a row. Thanks for clean solution
  goes to Kumar Appaiah (Closes: #442713).
* quilt added to manage patches.
* Added patch build-extensions.patch, enabling openid.extensions to be
  packaged.
* Watch file updated.

4. By Mikhail Gusarov on 2007-07-04

* New upstream release (Closes: #430620)
  - Example Django server fixed(Closes: #429355, #429628).
* Rebuilding package to get .egg information (Closes: #434536).
* Do not compress examples, they are executable python code
  (Closes: #429630).
* epydoc documentation moved to html/ subdir to avoid polluting
  top-level directory.

3. By Mikhail Gusarov on 2007-05-12

* New upstream release.
* Install more upstream documentation.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/python-openid
This branch contains Public information 
Everyone can see this information.